<?php

  $title="Sawah";

//   $judul=$title;

  $url='sawah';

  // if ($session->get('level')!='Admin'){

  // 	$session->set("info",'<div class="alert alert-danger alert-dismissible">

  //       <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

  //       <h4><i class="icon fa fa-ban"></i> Error!</h4> Akses Administrator untuk melihat data

  //     </div>');

  // 	redirect(url('login'));

  // }



if(isset($_POST['simpan'])){

	



	// cek validasi

	$validation=null;

	// cek kode apakah sudah ada

	

	//tidak boleh kosong

	if($_POST['kecamatan']==''){

		$validation[]='Pilih Kecamatan';

	}

	if($_POST['nama_desa']==''){

		$validation[]='Pilih Desa';

	}

	if($_POST['jenis_lahan']==''){

		$validation[]='Jenis Lahan Tidak Boleh Kosong';

	}

	



	if($validation!=null){

		$setTemplate=false;

		$session->set('error_validation',$validation);

		$session->set('error_value',$_POST);

		redirect($_SERVER['HTTP_REFERER']);

		return false;

	}

	// cek validasi





	if($_POST['id']==""){

		$data['kecamatan']=$_POST['kecamatan'];

		$data['nama_desa']=$_POST['nama_desa'];

		$data['jenis_lahan']=$_POST['jenis_lahan'];

		$data['irigasi_teknis']=$_POST['irigasi_teknis'];

		$data['irigasi_non_teknis']=$_POST['irigasi_non_teknis'];

		$data['jalan_usaha_tani']=$_POST['jalan_usaha_tani'];

		$data['indeks_pertanaman']=$_POST['indeks_pertanaman'];

		$data['prod']=$_POST['prod'];

		$data['luas']=$_POST['luas'];

		$exec=$db->insert("sawah",$data);

		$info='<div class="alert alert-success alert-dismissible">

                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

                <h4><i class="icon fa fa-ban"></i> Sukses!</h4> Data Sukses Ditambah </div>';

		

	}

	else{

		$data['kecamatan']=$_POST['kecamatan'];

		$data['nama_desa']=$_POST['nama_desa'];

		$data['jenis_lahan']=$_POST['jenis_lahan'];

		$data['irigasi_teknis']=$_POST['irigasi_teknis'];

		$data['irigasi_non_teknis']=$_POST['irigasi_non_teknis'];

		$data['jalan_usaha_tani']=$_POST['jalan_usaha_tani'];

		$data['indeks_pertanaman']=$_POST['indeks_pertanaman'];

		$data['prod']=$_POST['prod'];

		$data['luas']=$_POST['luas'];

		$db->where('id',$_POST['id']);

		$exec=$db->update("sawah",$data);

		$info='<div class="alert alert-success alert-dismissible">

                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

                <h4><i class="icon fa fa-ban"></i> Sukses!</h4> Data Sukses diubah </div>';

	}



	if($exec){

		$session->set('info',$info);

	}

	else{

      $session->set("info",'<div class="alert alert-danger alert-dismissible">

                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

                <h4><i class="icon fa fa-ban"></i> Error!</h4> Proses gagal dilakukan <br>'.$db->getLastError().'

              </div>');

	}

	redirect(url($url));

}



if(isset($_GET['hapus'])){

	$setTemplate=false;

	$db->where("id",$_GET['id']);

	$exec=$db->delete("sawah");

	$info='<div class="alert alert-success alert-dismissible">

            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

            <h4><i class="icon fa fa-ban"></i> Sukses!</h4> Data Sukses dihapus </div>';

	if($exec){

		$session->set('info',$info);

	}

	else{

      $session->set("info",'<div class="alert alert-danger alert-dismissible">

                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

                <h4><i class="icon fa fa-ban"></i> Error!</h4> Proses gagal dilakukan

              </div>');

	}

	redirect(url($url));

}



elseif(isset($_GET['tambah']) OR isset($_GET['ubah'])){

  $id="";

  $kecamatan="";

  $nama_desa="";

  $jenis_lahan="";

  $irigasi_teknis="";

  $irigasi_non_teknis="";

  $jalan_usaha_tani="";

  $indeks_pertanaman="";

  $prod="";

  $luas="";



  if(isset($_GET['ubah']) AND isset($_GET['id'])){

  	$id=$_GET['id'];

  	$db->where('id',$id);

		$row=$db->ObjectBuilder()->getOne('sawah');

		if($db->count>0){

			$id=$row->id;

			$kecamatan=$row->kecamatan;

			$nama_desa=$row->nama_desa;

			$jenis_lahan=$row->jenis_lahan;

			$irigasi_teknis=$row->irigasi_teknis;

			$irigasi_non_teknis=$row->irigasi_non_teknis;

			$jalan_usaha_tani=$row->jalan_usaha_tani;

			$indeks_pertanaman=$row->indeks_pertanaman;

			$prod=$row->prod;

			$luas=$row->luas;

		}

  }

  // value ketika validasi

  if($session->get('error_value')){

  	extract($session->pull('error_value'));

  }

?>

<?=content_open('Form Sawah')?>

    <form method="post">

    	<?php

    		// menampilkan error validasi

  			if($session->get('error_validation')){

  				foreach ($session->pull('error_validation') as $key => $value) {

  					echo '<div class="alert alert-danger">'.$value.'</div>';

  				}

  			}

    	?>

    	<?=input_hidden('id',$id)?>

    	<div class="form-group">

    		<label>Nama Kecamatan</label>

    		<div class="row">

	    		<div class="col-md-4">

	    			<?php

	    				if ($session->get('level')=='Admin'){

		    				$op['']='Pilih Kecamatan';

	              $getdata=$db->ObjectBuilder()->get('m_kecamatan');

		    				foreach ($getdata as $row) {

		    					$op[$row->kecamatan]=$row->kecamatan;

		    				}

		    			}elseif ($session->get('level')=='Kecamatan') {

		    				$op['']='Pilih Kecamatan';

		    				$db->where("kecamatan",$session->get('lokasi'));

		    				$getdata=$db->ObjectBuilder()->getOne('m_kecamatan');

		    				$op[$getdata->kecamatan]=$getdata->kecamatan;

		    			}

	    			?>

	    			<?=select('kecamatan',$op,$kecamatan)?>

	    		</div>

    		</div>

			</div>

			<div class="form-group">

    		<label>Nama Desa</label>

    		<div class="row">

	    		<div class="col-md-5">

	    			<?php

	    				if ($session->get('level')=='Admin'){

		    				$opt['']='Pilih Desa';

		    				$db->orderBy("kecamatan,nama_desa","asc");

	              $getdata=$db->ObjectBuilder()->get('m_desa');

		    				foreach ($getdata as $row) {

		    					$opt[$row->nama_desa]=$row->nama_desa;

		    				}

		    			}elseif ($session->get('level')=='Kecamatan') {

		    				$opt['']='Pilih Desa';

		    				$db->where("kecamatan",$session->get('lokasi'));

		    				$db->orderBy("nama_desa","asc");

		    				$getdata=$db->ObjectBuilder()->get('m_desa');

		    				foreach ($getdata as $row) {

		    					$opt[$row->nama_desa]=$row->nama_desa;

		    				}

		    			}

	    			?>

	    			<?=select('nama_desa',$opt,$nama_desa)?>

	    		</div>

    		</div>

			</div>



    	<div class="form-group">

    		<label>Jenis Lahan</label>

    		<div class="row">

	    		<div class="col-md-3">

	    			<?=input_text('jenis_lahan',$jenis_lahan)?>

		    	</div>

	    	</div>

    	</div>

    	<div class="form-group">

    		<label>Irigasi Teknis</label>

    		<div class="row">

	    		<div class="col-md-6">

	    			<?=input_text('irigasi_teknis',$irigasi_teknis)?>

	    		</div>

    		</div>

    	</div>

    	<div class="form-group">

    		<label>Irigasi Non-Teknis</label>

    		<div class="row">

	    		<div class="col-md-2">

	    			<?=input_text('irigasi_non_teknis',$irigasi_non_teknis)?>

	    		</div>

    		</div>

    	</div>

    	<div class="form-group">

    		<label>Jalan Usaha Tani Non-Teknis</label>

    		<div class="row">

	    		<div class="col-md-2">

	    			<?=input_text('jalan_usaha_tani',$jalan_usaha_tani)?>

	    		</div>

    		</div>

    	</div>

    	<div class="form-group">

    		<label>Indeks Pertanaman</label>

    		<div class="row">

	    		<div class="col-md-2">

	    			<?=input_text('indeks_pertanaman',$indeks_pertanaman)?>

	    		</div>

    		</div>

    	</div>

    	<div class="form-group">

    		<label>PROD</label>

    		<div class="row">

	    		<div class="col-md-2">

	    			<?=input_text('prod',$prod)?>

	    		</div>

    		</div>

    	</div>

    	<div class="form-group">

    		<label>Luas</label>

    		<div class="row">

	    		<div class="col-md-2">

	    			<?=input_text('luas',$luas)?>

	    		</div>

    		</div>

    	</div>

    	<div class="form-group">

    		<button type="submit" name="simpan" class="btn btn-info"><i class="fa fa-save"></i> Simpan</button>

			<a href="<?=url($url)?>" class="btn btn-danger" ><i class="fa fa-reply"></i> Kembali</a>

    	</div>

    </form>

<?=content_close()?>



<?php  } else { ?>

<?=content_open('Data Sawah')?>



<?php if ($session->get('level')=='Admin' OR $session->get('level')=='Kecamatan'){ ?>

<a href="<?=url($url.'&tambah')?>" class="btn btn-success" ><i class="fa fa-plus"></i> Tambah</a>

<?php }?>



<hr>

<?=$session->pull("info")?>



<table class="table table-bordered">

	<thead>

		<tr>

			<th>No</th>

			<th>Kecamatan</th>

			<th>Nama Desa</th>

			<th>Jenis Lahan</th>

			<th>IR.Teknis</th>

			<th>IR.Non-Teknis</th>

			<th>JUTani</th>

			<th>Indeks Tanam</th>

			<th>Prod</th>

			<th>Luas</th>

			<?php if ($session->get('level')=='Admin' OR $session->get('level')=='Kecamatan'){?>

			<th>Aksi</th>

			<?php }?>

		</tr>

	</thead>

	<tbody>

		<?php

			$no=1;



			if ($session->get('level')=='Admin' OR $session->get('level')=='User'){

				$db->orderBy("kecamatan,nama_desa","asc");

				$getdata=$db->ObjectBuilder()->get('sawah');

			}else{

				$db->where("kecamatan",$session->get('lokasi'));

				$db->orderBy("kecamatan,nama_desa","asc");

				$getdata=$db->ObjectBuilder()->get('sawah');

			}

			foreach ($getdata as $row) {

				?>

					<tr>

						<td><?=$no?></td>

						<td><?=$row->kecamatan?></td>

						<td><?=$row->nama_desa?></td>

						<td><?=$row->jenis_lahan?></td>

						<td><?=$row->irigasi_teknis?></td>

						<td><?=$row->irigasi_non_teknis?></td>

						<td><?=$row->jalan_usaha_tani?></td>

						<td><?=$row->indeks_pertanaman?></td>

						<td><?=$row->prod?></td>

						<td><?=$row->luas?></td>

						<?php if ($session->get('level')=='Admin' OR $session->get('level')=='Kecamatan'){?>

						<td>

							<a href="<?=url($url.'&ubah&id='.$row->id)?>" class="btn btn-info"><i class="fa fa-edit"></i> Ubah</a>

							<a href="<?=url($url.'&hapus&id='.$row->id)?>" class="btn btn-danger" onclick="return confirm('Hapus data?')"><i class="fa fa-trash"></i> Hapus</a>

						<?php }?>

						</td>

					</tr>

				<?php

				$no++;

			}



		?>

	</tbody>

</table>

<?=content_close()?>

<?php } ?>